#!/bin/sh

#
# script to run commands in all installed modules
#

# list of supported modules +++ in order of dependency +++
MODULES=${1:-"umi gpib rio sio"}

run_in_modules() {
  for MOD in $MODULES; do
    # skip modules not installed
    [ -d $MOD ] || continue;

    cd $MOD; 
    $1 || { cd ..; return; }
    cd ..
  done
}

run_in_modules $0


