#!/bin/bash

[ $(id -u) -eq 0 ] || { echo "usage: sudo $0" ; exit 2; }

MODULES="gpib rio sio"

for MOD in $MODULES; do
  # skip modules not installed
  [ -d $MOD ] || continue;

  rmmod i$MOD
done

rmmod inesumi
rm /etc/udev/rules.d/99-inesumi.rules 
./unstall.sh
depmod
